/* 手機版 */
@media (max-width: 768px) {
  .buttons,
  .description {
    padding: 0 10%;
  }
  .buttons {
    margin-top: -60px !important; /* 按鈕位置 微調*/
  }
}

/* 桌機版 */
@media (min-width: 769px) {
  .app {
    max-width: 640px;
    margin: 0 auto;
  }
}

/* styles.css */
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-color: #ffd156; /* 全版背景顏色*/
}

.header {
  position: relative;
  width: 100%;
  height: 45vh; /* 高度 */
  background-image: url("../img/headerBanner.jpg"); /* 標頭banner*/
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
.logo {
  position: absolute;
  left: 5%;
  top: 20px;
  width: 100px;
}
.logo img {
  width: 100%;
}

.app {
  margin: 0 auto;
  width: 100%;
  height: 100vh;
  background-color: #ffd156; /* 全版背景顏色*/
}
.buttons {
  display: flex;
  justify-content: center;
  margin-top: -10%; /* 按鈕位置 微調*/
}
.buttons > a {
  width: 200px;
  height: 80px;
  min-width: 150px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100%;
  z-index: 999;
}

.button-line {
  background-image: url("../img/line_off.png");
}
.button-line:hover {
  background-image: url("../img/line_on.png");
}

.button-app {
  background-image: url("../img/app_off.png");
}
.button-app:hover {
  background-image: url("../img/app_on.png");
}

.description {
  color: #fff;
  text-align: center;
  box-sizing: border-box;
  padding: 0 10px; /*說明圖片內縮*/
}
.description img {
  width: 100%;
}

.footer {
  width: 100%;
  color: #351c01;
  text-align: center;
  margin: 0 auto;
  background-color: #ffd156;
  position: fixed;
  bottom: 0;
  left: 0;
  font-size: 0.6rem;
  padding: 10px 0;
}
.footer div {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.footer span {
  text-align: center;
  display: inline-block;
  min-height: 40px;
  margin-left: 5px;
}

.footer img {
  width: 30px;
}
